@import "@/assets/scss/global";

.title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px 0;

    h1 {
        font-weight: 600;
        font-size: 20px;
        line-height: 30px;
        color: $dark-color;
    }

    span {
        padding: 10px;
        cursor: pointer;
    }
}

.modal-content {
    background-color: #F7F8FC !important;
    max-height: 90%;
    height: 670px;
    width: 926px;
    overflow: hidden;
    padding: 0 !important;
}

.table-upgrade-wrapper {
    border-radius: 12px;
    max-width: 888px;

    .section {
        .row-header {
            display: flex;
            background-color: #FFE6E0;
            min-height: 58px;
            padding-left: 30px;
            box-sizing: border-box;
            align-items: center;

            .column-header {
                font-weight: 700;
                font-size: 14px;
                line-height: 20px;
                color: $dark-color;
                flex-shrink: 0;

                &:nth-of-type(1) {
                    flex: 1;
                }

                &.selected {
                    border-width: 0px 1px;
                    border-style: solid;
                    border-color: $secondary-color;

                    &:nth-of-type(1) {
                        border-radius: 12px 12px 0px 0px;
                    }
                }

                &:nth-of-type(n + 2) {
                    box-sizing: border-box;
                    min-height: 58px;
                    text-align: center;
                    // flex: 0 0 180px;
                    width: 180px;
                }
            }
        }

        .row-content {
            display: flex;
            padding: 0 0 0 30px;
            box-sizing: border-box;
            color: $dark-color;
            font-weight: 500;
            align-items: flex-end;

            &:not(:first-child) {
                background-color: white;
                min-height: 60px;
                align-items: stretch;
            }

            .column-content {
                flex-shrink: 0;
                line-height: 20px;
                font-size: 14px;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;

                &:nth-of-type(1) {
                    flex: 1;
                }

                &.selected {
                    border-width: 0px 1px;
                    border-style: solid;
                    border-color: $secondary-color;
                }

                &:nth-of-type(n + 2) {
                    box-sizing: border-box;
                    // flex: 0 0 180px;
                    width: 180px;
                    flex-shrink: 0;
                    text-align: center;

                    &>div {
                        padding: 10px;
                        min-height: 150px;
                        display: flex;
                        flex-direction: column;
                        justify-content: space-between;
                        align-items: center;
                    }

                    p {
                        width: 100%;
                        margin: 0;
                    }

                    h4 {
                        width: 100%;
                        font-weight: 700;
                        font-size: 14px;
                        line-height: 20px;
                        color: $dark-color;
                        text-transform: uppercase;
                        background-color: $secondary-color;
                        color: white;
                        padding: 15px 20px;
                        border-radius: 12px 12px 0px 0px;
                    }

                    .package-name {
                        font-weight: 700;
                        font-size: 14px;
                        line-height: 20px;
                        color: $secondary-color;
                        text-transform: uppercase;
                    }

                    .apply {
                        font-weight: 500;
                        font-size: 12px;
                        line-height: 18px;
                        color: $secondary-color;
                    }

                    .price {
                        font-weight: 600;
                        font-size: 16px;
                        line-height: 24px;
                        color: $dark-color;

                        span {
                            font-weight: 500;
                            font-size: 12px;
                            line-height: 18px;
                        }
                    }
                }

                &.highlight {
                    color: $secondary-color;
                    line-height: 20px;
                    font-weight: 700;
                }

                &.dot {
                    position: relative;
                    margin-left: 15px;
                    text-align: left;
                    align-items: flex-start;
                    margin-right: 20px;
                    padding: 8px 0;

                    span {
                        position: relative;
                        display: block;

                        &:before {
                            position: absolute;
                            content: "";
                            left: -15px;
                            top: 7px;
                            transform: tr;
                            width: 6px;
                            height: 6px;
                            border-radius: 100%;
                            background-color: $grey-color1;
                        }
                    }
                }
            }

            p {
                color: $grey-color1;
                line-height: 16px;
                font-size: 13px;
                width: 80%;
            }
        }
    }
}